api_coupon_code_list:
    path: /
    controller: App\Application\ApiBundle\Controller\CouponCodeController::list
    methods: ['GET']

api_coupon_code_add_multi:
    path: /add-multi-code
    controller: App\Application\ApiBundle\Controller\CouponCodeController::addMulti
    methods: ['POST']

api_coupon_code_auto_generate:
    path: /auto-generate-code/{campaignId}/{nrCode}
    controller: App\Application\ApiBundle\Controller\CouponCodeController::autoGenerateCode
    methods: ['POST']

api_coupon_code_add:
    path: /
    controller: App\Application\ApiBundle\Controller\CouponCodeController::add
    methods: ['POST']

api_coupon_code_detail:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\CouponCodeController::detail
    methods: ['GET']

api_coupon_code_update:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\CouponCodeController::update
    methods: ['POST']

api_coupon_code_delete:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\CouponCodeController::delete
    methods: ['DELETE']